
.innerpet {
    --bg-color: rgba(0, 142, 68, 0.6);
    --bg-color-light: #008E44;
    --text-color-hover: #008E44;
    --box-shadow-color: rgba(0, 142, 68, 0.4);
}

.innergadget {
    --bg-color: rgba(75, 87, 120, 0.6);
    --bg-color-light: #4B5778;
    --text-color-hover: #4B5778;
    --box-shadow-color: rgba(184, 249, 211, 0.4);
}

.card {
    width: 220px;
    height: 321px;
    background: #fff;
    border-top-right-radius: 10px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    box-shadow: 0 14px 26px rgba(0,0,0,0.04);
    transition: all 0.3s ease-out;
    text-decoration: none;
}

.card:hover {
    transform: translateY(-5px) scale(1.005) translateZ(0);
    box-shadow: 0 24px 36px rgba(0,0,0,0.11),
    0 24px 46px var(--box-shadow-color);
}

.card:hover .overlay {

    transform: scale(4) translateZ(0);
}

.card:hover .circle {
/*border-color: var(--bg-color-light);*/
    /*background: var(--bg-color);*/
}

.card:hover .circle:after {
    /*background: var(--bg-color-light);*/
}

.card:hover p {
    color: var(--text-color-hover);
}

.card:active {
    transform: scale(1) translateZ(0);
    box-shadow: 0 15px 24px rgba(0,0,0,0.11),
    0 15px 24px var(--box-shadow-color);
}

.card p {
    font-size: 17px;
    color: #4C5656;
    margin-top: 30px;
    z-index: 1000;
    transition: color 0.3s ease-out;
}

.circle {
    width: 131px;
    height: 131px;
    border-radius: 50%;
    /*background: #fff;*/
    /*border: 2px solid var(--bg-color);*/
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 1;
    transition: all 0.3s ease-out;
}

.circle:after {
    content: "";
    width: 118px;
    height: 118px;
    display: block;
    position: absolute;
    /*background: var(--bg-color);*/
    border-radius: 50%;
    top: 7px;
    left: 7px;
    transition: opacity 0.3s ease-out;
}

.circle svg {
    z-index: 10000;
    transform: translateZ(0);
}

.innerpet .circle {
    background-image: url(https://cdn.innerassiste.com/media/landing/didi/banner_h.jpg) !important;
    background-size: cover !important;
    background-position: center;
    background-repeat: no-repeat !important;
}
.innergadget .circle {
    background-image: url(https://cdn.innerassiste.com/media/landing/didi/gadget/1.jpg) !important;
    background-size: cover !important;
    background-position: center;
    background-repeat: no-repeat !important;
}

.overlay {
    width: 118px;
    position: absolute;
    height: 118px;
    border-radius: 50%;
    background: var(--bg-color);
    top: 70px;
    left: 50px;
    z-index: -1;
    transition: transform 0.3s ease-out;
}

/* custom header back image */
@media (orientation: landscape) {
    .bg-pattern-dot-white-sm {
        background-image: url('https://www.innerassiste.com/cdn/inner/web/logos/pet/walmart_beneficios_blanco.png') !important;
        background-size: auto 80% !important;
        background-position: center;
        background-repeat: no-repeat !important;
    }

    .bg-blend-bottom {
        -webkit-mask-image: linear-gradient(180deg, #000 50%, transparent 100%);
        mask-image: linear-gradient(180deg, #000 50%, transparent 100%);
    }
}

@media (orientation: portrait) {
    .bg-pattern-dot-white-sm {
        background-image: url('https://www.innerassiste.com/cdn/inner/web/logos/pet/walmart_beneficios_blanco.png') !important;
        background-size: auto 40% !important;
        background-position: center;
        background-repeat: no-repeat !important;
    }

    .bg-blend-bottom {
        -webkit-mask-image: linear-gradient(180deg, #000 20%, transparent 100%);
        mask-image: linear-gradient(180deg, #000 20%, transparent 100%);
    }
}
.nk-header {
    padding-top: 100px;
}
/* END custom header back image */


.swal2-with-backdrop {
    background-color: rgba(150, 148, 148, 0.3) !important;
    backdrop-filter: blur(10px) !important;
}

.custom-progress-bar {
    background: red;
    height: 10px;
}

/* WHATSAPP BTN */
.whatsapp-button-top {
    display: inline-block;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    text-decoration: none;
    line-height: 1.15;
    color: white !important;
    opacity: 1;
    visibility: visible;
    position: relative;
    box-shadow: 0 0 5px 1px rgba(51, 51, 51, 0.3);
    background-color: #007E44;
    font-size: 1.3em;
}

.whatsapp-button-top:hover {
    transform: scale(1.05);
    color: white !important;
}

.whatsapp-button-top i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.block {
    background-color: #007E44;
    box-shadow: none;
}

.block.block-rounded > .block-content:last-child {
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
}

.block.block-rounded > .block-header, .block.block-rounded > .nav-tabs {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.block-rounded {
    margin-bottom: 0 !important;
}

/* FIN WHATSAPP BTN */


/*Floating buttons*/

.adminActions {
    position: fixed;
    bottom: 15px;
    right: 80px;
    z-index: 99;
}

.adminButton {
    height: 60px;
    width: 60px;
    background-color: rgba(67, 83, 143, 0.8);
    border-radius: 50%;
    display: none;
    color: #fff;
    text-align: center;
    position: relative;
    z-index: 1;
}

.adminButton i {
    font-size: 22px;
}

.adminButtons {
    position: absolute;
    width: 100%;
    bottom: 120%;
    text-align: center;
}

.adminButtons a {
    display: block;
    width: 60px;
    height: 62px;
    border-radius: 50%;
    text-decoration: none;
    margin: 10px auto 0;
    line-height: 1.15;
    color: #fff;
    opacity: 1;
    visibility: visible;
    position: relative;
    box-shadow: 0 0 5px 1px rgba(51, 51, 51, 0.3);
}

.adminButtons a:hover {
    transform: scale(1.05);
}

.adminButtons .back-button {
    background-color: #f44336;
    transition: opacity 0.2s ease-in-out 0.2s, transform 0.15s ease-in-out;
    font-size: 1.3em;
}

.adminButtons .back-step-button {
    background-color: #5179D6;
    transition: opacity 0.2s ease-in-out 0.15s, transform 0.15s ease-in-out;
    font-size: 1.3em;
}

.adminButtons .continue-step-button {
    background-color: #5179D6;
    transition: opacity 0.2s ease-in-out 0.15s, transform 0.15s ease-in-out;
    font-size: 1.3em;
}

.adminButtons .whatsapp-button {
    background-color: var(--bs-primary);
    transition: opacity 0.2s ease-in-out 0.15s, transform 0.15s ease-in-out;
    font-size: 1.3em;
}

.adminActions a i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.adminToggle {
    -webkit-appearance: none;
    position: absolute;
    border-radius: 50%;
    top: 0;
    left: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    cursor: pointer;
    background-color: transparent;
    border: none;
    outline: none;
    z-index: 2;
    transition: box-shadow 0.2s ease-in-out;
    box-shadow: 0 3px 5px 1px rgba(51, 51, 51, 0.3);
}

.adminToggle:hover {
    box-shadow: 0 3px 6px 2px rgba(51, 51, 51, 0.3);
}

.adminToggle:checked ~ .adminButtons a {
    opacity: 1;
    visibility: visible;
}

.adminActions.active {
    bottom: 65px;
    right: 70px;
}

.bgAnimationButton {
    animation: pulse 1.2s ease infinite;
    background: var(--bs-primary);
    opacity: 1;
    width: 60px;
    height: 62px;
    border-radius: 50%;
    bottom: 15px;
    right: 20px;
    position: fixed;
}

.bgAnimationButton.active {
    bottom: 65px;
    right: 10px;
}

@keyframes pulse {
    0% {
        transform: scale(1, 1);
    }
    50% {
        opacity: 0.3;
    }
    100% {
        transform: scale(1.5);
        opacity: 0;
    }
}

/* CUSTOM ANIMATION */
.cube-pulse{
    position: absolute;
    right: 0;
    left: 0;
    top: -7%;
    bottom: 0;
    margin: auto;
    width: 170px;
    height: 170px;
    border: none;
    box-shadow: 0 0 0 0 rgb(210, 96, 21);
    border-radius: 0%;
    background-color: #d26015;
    background-size:111%;
    background-position:-5px -5px;
    background-repeat: no-repeat;
    cursor: pointer;
    -webkit-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
    -moz-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
    -ms-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
    animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
}


/* ===================================
   Loader
====================================== */

.loader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
    z-index: 99999;
    background-color: #23262d;
}

.pinkBg {
    background-color: #f1c30f !important;
    background-image: linear-gradient(90deg, var(--main-color), var(--main-color));
}

.intro-banner-vdo-play-btn {
    height: 60px;
    width: 60px;
    position: absolute;
    top: 50%;
    left: 50%;
    text-align: center;
    margin: -30px 0 0 -30px;
    border-radius: 50%;
    z-index: 1
}

.intro-banner-vdo-play-btn i {
    line-height: 56px;
    font-size: 30px
}

.intro-banner-vdo-play-btn .ripple {
    position: absolute;
    width: 160px;
    height: 160px;
    z-index: -1;
    left: 50%;
    top: 50%;
    opacity: 0;
    margin: -80px 0 0 -80px;
    border-radius: 50%;
    -webkit-animation: ripple 1.8s infinite;
    animation: ripple 1.8s infinite
}

.intro-banner-vdo-play-btn .ripple:nth-child(2) {
    animation-delay: .3s;
    -webkit-animation-delay: .3s
}

.intro-banner-vdo-play-btn .ripple:nth-child(3) {
    animation-delay: .6s;
    -webkit-animation-delay: .6s
}

@-webkit-keyframes ripple {
    0% {
        opacity: 1;
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
}

@keyframes ripple {
    0% {
        opacity: 1;
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    100% {
        opacity: 0;
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
}